Skip to main content
Operations Management/Tenant Management (Plus)/Organization Operations
PUTOrganization OperationsSince 2.4.0SynchronousAuth Required

ChangeIAM2VirtualIDState

ChangeIAM2VirtualIDState

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • changeiam2virtualidstateObjectRequired

    changeiam2virtualidstate request body object.

    • stateEventStateEventRequired

      状态事件。

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryIAM2VirtualIDInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateStateRequired

      See state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • attributesListRequired

      See attributes.

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • valueStringRequired

        字段值。

      • typeAttributeTypeRequired

        See type.

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

Endpoint

PUT/zstack/v1/iam2/virtual-ids/{uuid}/actions

/zstack/v1/iam2/virtual-ids/{uuid}/actions

Operation ID

ChangeIAM2VirtualIDState

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/iam2/virtual-ids/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changeiam2virtualidstate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "0524ea53082646569dfbc1bdecc82b70", "name": "id1", "state": "Enabled", "attributes": [ { "uuid": "9eb16e277f1f412890e0fa8f6b76d432", "name": "attribute-name", "value": "attribute-value", "type": "Customized" } ] } }

Change History

This API has no change history records yet.

View all change history